DHGenParameterSpec (GNU cryptographic primitives and tools)
Keywords: javax.crypto.spec.DHGenParameterSpec,DHGenParameterSpec class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto.spec
Class DHGenParameterSpec

    java.lang.Object
      |
      +--javax.crypto.spec.DHGenParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

public class DHGenParameterSpec
extends java.lang.Object
implements java.security.spec.AlgorithmParameterSpec

This class specifies the set of parameters used for generating Diffie-Hellman (system) parameters for use in Diffie-Hellman key agreement. This is typically done by a central authority.

The central authority, after computing the parameters, must send this information to the parties looking to agree on a secret key.

Constructor Summary
`DHGenParameterSpec(int primeSize, int exponentSize)` Constructs a parameter set for the generation of Diffie-Hellman (system) parameters.

Method Summary
`int` | `getExponentSize()` Returns the size in bits of the random exponent (private value).
`int` | `getPrimeSize()` Returns the size in bits of the prime modulus.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHGenParameterSpec

    public DHGenParameterSpec(int primeSize,
                              int exponentSize)

  Constructs a parameter set for the generation of Diffie-Hellman (system) parameters. The constructed parameter set can be used to initialize an `AlgorithmParameterGenerator` object for the generation of Diffie-Hellman parameters.

Parameters:
  `primeSize` - the size (in bits) of the prime modulus.
  `exponentSize` - the size (in bits) of the random exponent.

Method Detail

### getPrimeSize

    public int getPrimeSize()

  Returns the size in bits of the prime modulus.

  Returns:
    the size in bits of the prime modulus

### getExponentSize

    public int getExponentSize()

  Returns the size in bits of the random exponent (private value).

  Returns:
    the size in bits of the random exponent (private value)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.